# StepElement_HSequenceOfCurveElementPurposeMember.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_StepElement_HSequenceOfCurveElementPurposeMember.hxx>`
`#include <StepElement_SequenceOfCurveElementPurposeMember.hxx>`
`#include <MMgt_TShared.hxx>`
`#include <Handle_StepElement_CurveElementPurposeMember.hxx>`
`#include <Standard_Boolean.hxx>`
`#include <Standard_Integer.hxx>`
`#include <TCollection_HSequence.lxx>`

## Defines

#define | Item Handle_StepElement_CurveElementPurposeMember
#define | Item_hxx <StepElement_CurveElementPurposeMember.hxx>
#define | TheSequence StepElement_SequenceOfCurveElementPurposeMember
#define | TheSequence_hxx <StepElement_SequenceOfCurveElementPurposeMember.hxx>
#define | TCollection_HSequence StepElement_HSequenceOfCurveElementPurposeMember
#define | TCollection_HSequence_hxx <StepElement_HSequenceOfCurveElementPurposeMember.hxx>
#define | Handle_TCollection_HSequence Handle_StepElement_HSequenceOfCurveElementPurposeMember
#define | TCollection_HSequence_Type_() StepElement_HSequenceOfCurveElementPurposeMember_Type_()

## Functions

Handle_StepElement_HSequenceOfCurveElementPurposeMember | ShallowCopy (const Handle_StepElement_HSequenceOfCurveElementPurposeMember &me)

## Define Documentation

#define Handle_TCollection_HSequence Handle_StepElement_HSequenceOfCurveElementPurposeMember

#define Item Handle_StepElement_CurveElementPurposeMember

#define Item_hxx <StepElement_CurveElementPurposeMember.hxx>

#define TCollection_HSequence StepElement_HSequenceOfCurveElementPurposeMember

#define TCollection_HSequence_hxx <StepElement_HSequenceOfCurveElementPurposeMember.hxx>

#define TCollection_HSequence_Type_ | (

)

StepElement_HSequenceOfCurveElementPurposeMember_Type_()

#define TheSequence StepElement_SequenceOfCurveElementPurposeMember

#define TheSequence_hxx <StepElement_SequenceOfCurveElementPurposeMember.hxx>

## Function Documentation

Handle_StepElement_HSequenceOfCurveElementPurposeMember ShallowCopy | ( | const Handle_StepElement_HSequenceOfCurveElementPurposeMember & | me | ) | `[inline]`